use async_std::task::{block_on, spawn};
use sfsm::State;

use crate::{
  game::{enemy::loaded_file::LoadedFile, GameContext},
  utils::game::Game,
};

pub struct Gameplay {}

impl Gameplay {
  pub fn new(context: &GameContext) -> Self {
    block_on(LoadedFile::load(
      context.engine.device.clone(),
      context.engine.queue.clone(),
      context.engine.window.inner_size(),
      Game::Sa,
      "default.ecl",
    ));
    Self {}
  }
}

impl State for Gameplay {}
